• Apps
  • Tech
  • Blog
  • Documentation
  • Pricing
  • Statistics
  • FAQ
Sign InSign Up
    • Getting Started
    • Authentication
    • Errors
    • Lookup
    • Search
    • Categories
    • Trends
    • History
    • Stats
    • Activity
    • Compare
    • SBOM
    • Webhooks
    • HTTP API Setup
    • Use Cases
    • Claude Code
    • Claude Desktop
    • Cursor

Trends

Track technology adoption trends over time. See how SDK and framework usage changes across desktop apps.

GET /v1/trends — Historical adoption data for a technology across tracked desktop apps. See how usage changes month over month.

Parameters

ParameterTypeRequiredDescription
technologystringyesTechnology name (e.g., Electron, React, Sentry)
periodstringnomonthly (default), weekly, quarterly
fromstringnoStart date (ISO 8601, e.g., 2025-01-01)
tostringnoEnd date (ISO 8601)
platformstringnomacos (default), windows, linux

Example request

curl "https://api.desktopinsights.com/v1/trends?technology=Electron&period=monthly&from=2025-01-01" \
  -H "Authorization: Bearer di_live_your_key_here"

Response

{
  "data": {
    "technology": "Electron",
    "dataPoints": [
      { "date": "2025-01-01", "appCount": 285, "marketShare": 0.42 },
      { "date": "2025-02-01", "appCount": 291, "marketShare": 0.43 },
      { "date": "2025-03-01", "appCount": 288, "marketShare": 0.41 }
    ],
    "currentTotal": 288,
    "allTimeHigh": { "appCount": 295, "date": "2025-06-01" }
  },
  "meta": {
    "requestId": "req_trend123",
    "creditsUsed": 1,
    "creditsRemaining": 9997
  }
}

Response fields

FieldTypeDescription
technologystringThe queried technology
dataPointsarrayTime series data
dataPoints[].datestringPeriod start date (ISO 8601)
dataPoints[].appCountintegerNumber of apps using this technology
dataPoints[].marketSharenumberFraction of all tracked apps (0.0-1.0)
currentTotalintegerCurrent number of apps using this technology
allTimeHighobjectPeak adoption point

Use cases

SDK vendor DevRel

Track your SDK's adoption over time. Answer questions like "is Sentry adoption growing in desktop apps?" for internal dashboards and board reports.

Market research

Understand technology lifecycle trends: "Is Electron losing share to Tauri?" or "When did React overtake Vue in desktop apps?"

Competitive analysis

Compare adoption curves between competing technologies by making multiple requests:

# Compare error tracking adoption
GET /v1/trends?technology=Sentry&period=monthly
GET /v1/trends?technology=Bugsnag&period=monthly
GET /v1/trends?technology=Rollbar&period=monthly

The only technographics platform for desktop software. See the SDKs, frameworks, and dependencies inside thousands of macOS and Windows applications.

© Copyright 2026 Desktop Insights. All Rights Reserved.

About
  • About
  • Blog
  • Contact
  • X
Product
  • Statistics
  • Documentation
  • MCP Server
  • Smithery
  • Glama
Legal
  • Terms of Service
  • Privacy Policy
  • Cookie Policy